| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iSaver Struct Reference

This interface is used to serialize the engine contents. More...

`#include <imap/saver.h>`

Inheritance diagram for iSaver:

[legend]
List of all members.

## Public Member Functions
Whole world saving
virtual bool | SaveAllRegions ()=0
| Save all regions to their respective files.
virtual bool | SaveMapFile (csRef< iDocumentNode > &root)=0
| Save map to DocumentNode.
virtual csRef< iString > | SaveMapFile ()=0
| Return the current engine contents as a string.
virtual bool | SaveMapFile (const char *filename)=0
| Save the current engine contents to the filename.
virtual bool | SaveRegion (iRegion *region, int filetype, csRef< iDocumentNode > &root)=0
| Save region to the document node.
virtual csRef< iString > | SaveRegion (iRegion *region, int filetype)=0
| Return the region contents as a string.
virtual bool | SaveRegionFile (iRegion *region, const char *filename, int filetype)=0
| Save a region to the file attached to it using iSaverFile.
Fine-grained saving
virtual bool | SavePortal (iPortal *portal, iDocumentNode *parent)=0
| Save a portal to the given document node.

## Detailed Description

This interface is used to serialize the engine contents.

Definition at line 36 of file saver.h.

## Member Function Documentation

virtual bool iSaver::SaveAllRegions | ( |  | ) | `[pure virtual]`

Save all regions to their respective files.

Regions that do not have any iSaverFile attached will not be saved.

virtual bool iSaver::SaveMapFile | ( | csRef< iDocumentNode > & | root | ) | `[pure virtual]`

Save map to DocumentNode.

virtual csRef<iString> iSaver::SaveMapFile | ( |  | ) | `[pure virtual]`

Return the current engine contents as a string.

virtual bool iSaver::SaveMapFile | ( | const char * | filename | ) | `[pure virtual]`

Save the current engine contents to the filename.

virtual bool iSaver::SavePortal | ( | iPortal * | portal,
|  | iDocumentNode * | parent |
| ) |  |  | `[pure virtual]`

Save a portal to the given document node.

Will create a '`portal`' node below `parent`.

virtual bool iSaver::SaveRegion | ( | iRegion * | region,
|  | int | filetype,
|  | csRef< iDocumentNode > & | root |
| ) |  |  | `[pure virtual]`

Save region to the document node.

virtual csRef<iString> iSaver::SaveRegion | ( | iRegion * | region,
|  | int | filetype |
| ) |  |  | `[pure virtual]`

Return the region contents as a string.

virtual bool iSaver::SaveRegionFile | ( | iRegion * | region,
|  | const char * | filename,
|  | int | filetype |
| ) |  |  | `[pure virtual]`

Save a region to the file attached to it using iSaverFile.

The documentation for this struct was generated from the following file:

- imap/saver.h